Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.collection
Class PdfCollection

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.collection.PdfCollection

    public class PdfCollection

extends PdfDictionary

Field Summary
`static int` | `DETAILS` A type of PDF Collection
`static int` | `HIDDEN` A type of PDF Collection
`static int` | `TILE` A type of PDF Collection

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfCollection(int type)` Constructs a PDF Collection.

Method Summary
`PdfCollectionSchema` | `getSchema()` Gets the Collection schema dictionary.
`void` | `setInitialDocument(String description)` Identifies the document that will be initially presented in the user interface.
`void` | `setSchema(PdfCollectionSchema schema)` Sets the Collection schema dictionary.
`void` | `setSort(PdfCollectionSort sort)` Sets the Collection sort dictionary.

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DETAILS

    public static final int DETAILS

  A type of PDF Collection

  See Also:
    Constant Field Values

### TILE

    public static final int TILE

  A type of PDF Collection

  See Also:
    Constant Field Values

### HIDDEN

    public static final int HIDDEN

  A type of PDF Collection

  See Also:
    Constant Field Values

Constructor Detail

### PdfCollection

    public PdfCollection(int type)

  Constructs a PDF Collection.

  Parameters:
    `type` - the type of PDF collection.

Method Detail

### setInitialDocument

    public void setInitialDocument(String description)

  Identifies the document that will be initially presented in the user interface.

  Parameters:
    `description` - the description that was used when attaching the file to the document

### setSchema

    public void setSchema(PdfCollectionSchema schema)

  Sets the Collection schema dictionary.

  Parameters:
    `schema` - an overview of the collection fields

### getSchema

    public PdfCollectionSchema getSchema()

  Gets the Collection schema dictionary.

  Returns:
    schema an overview of the collection fields

### setSort

    public void setSort(PdfCollectionSort sort)

  Sets the Collection sort dictionary.

  Parameters:
    `sort` - a collection sort dictionary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD